export declare const helpers: {
    callCustomEndpoint: (args: {
        options: {
            method?: string;
            parameters?: {
                [key: string]: string | number | boolean | string[] | number[];
            };
            customApiPathParameters?: import("./customApi").CustomApiParameters;
            headers?: {
                authorization?: string;
            } & {
                [key: string]: string;
            };
            body?: unknown;
            retrySettings?: import("retry").OperationOptions;
            fetchOptions?: import("node-fetch").RequestInit;
            enableTransformBody?: boolean;
        };
        clientConfig: import("@commerce-apps/core").ClientConfig<import("./customApi").CustomApiParameters & import("@commerce-apps/core").CommonParameters>;
        rawResponse?: boolean;
    }) => Promise<any>;
};
export * as slasHelpers from "./slas";
